pugi::xml_node_struct Struct Reference

An XML document tree node. More...

Collaboration diagram for pugi::xml_node_struct:
[legend]

## Public Member Functions

| xml_node_struct (impl::xml_memory_page *page, xml_node_type type)
| Default ctor.

## Public Attributes

uintptr_t | header
xml_node_struct * | parent
| Pointer to parent.
char_t * | name
| Pointer to element name.
char_t * | value
| Pointer to any associated string data.
xml_node_struct * | first_child
| First child.
xml_node_struct * | prev_sibling_c
| Left brother (cyclic list)
xml_node_struct * | next_sibling
| Right brother.
xml_attribute_struct * | first_attribute
| First attribute.

## Detailed Description

An XML document tree node.

Definition at line 506 of file pugixml.cpp.

## Constructor & Destructor Documentation

## xml_node_struct()

pugi::xml_node_struct::xml_node_struct | ( | impl::xml_memory_page * | page,
|  | xml_node_type | type
| ) |  |

inline

Default ctor.

Parameters

  type | - node type

Definition at line 510 of file pugixml.cpp.

: header(reinterpret_cast<uintptr_t>(page) | (type - 1)), parent(0), name(0), value(0), first_child(0), prev_sibling_c(0), next_sibling(0), first_attribute(0)
{
}
uintptr_t
_W64 unsigned int uintptr_t
Definition stdint_msvc.h:120
pugi::xml_node_struct::value
char_t * value
Pointer to any associated string data.
Definition pugixml.cpp:519
pugi::xml_node_struct::first_attribute
xml_attribute_struct * first_attribute
First attribute.
Definition pugixml.cpp:526
pugi::xml_node_struct::prev_sibling_c
xml_node_struct * prev_sibling_c
Left brother (cyclic list)
Definition pugixml.cpp:523
pugi::xml_node_struct::next_sibling
xml_node_struct * next_sibling
Right brother.
Definition pugixml.cpp:524
pugi::xml_node_struct::name
char_t * name
Pointer to element name.
Definition pugixml.cpp:518
pugi::xml_node_struct::header
uintptr_t header
Definition pugixml.cpp:514
pugi::xml_node_struct::parent
xml_node_struct * parent
Pointer to parent.
Definition pugixml.cpp:516
pugi::xml_node_struct::first_child
xml_node_struct * first_child
First child.
Definition pugixml.cpp:521

## Member Data Documentation

## first_attribute

xml_attribute_struct* pugi::xml_node_struct::first_attribute

First attribute.

Definition at line 526 of file pugixml.cpp.

## first_child

xml_node_struct* pugi::xml_node_struct::first_child

First child.

Definition at line 521 of file pugixml.cpp.

## header

uintptr_t pugi::xml_node_struct::header

Definition at line 514 of file pugixml.cpp.

## name

char_t* pugi::xml_node_struct::name

Pointer to element name.

Definition at line 518 of file pugixml.cpp.

## next_sibling

xml_node_struct* pugi::xml_node_struct::next_sibling

Right brother.

Definition at line 524 of file pugixml.cpp.

## parent

xml_node_struct* pugi::xml_node_struct::parent

Pointer to parent.

Definition at line 516 of file pugixml.cpp.

## prev_sibling_c

xml_node_struct* pugi::xml_node_struct::prev_sibling_c

Left brother (cyclic list)

Definition at line 523 of file pugixml.cpp.

## value

char_t* pugi::xml_node_struct::value

Pointer to any associated string data.

Definition at line 519 of file pugixml.cpp.

The documentation for this struct was generated from the following file:

- pugixml.cpp